%define major	1
%define libname	%mklibname %{name} %{major}

Name:		sane-airscan
Version:	0.99.35
Release:	%mkrel 1
Summary:	Tools for the SANE backend for AirScan (eSCL) and WSD document scanners
License:	GPLv2+ with SANE exceptions
Group:		Graphics/Scanning
URL:		https://github.com/alexpevzner/sane-airscan
Source:		%{URL}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	meson
BuildRequires:	pkgconfig(avahi-core)
BuildRequires:	pkgconfig(avahi-client)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(sane-backends)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)

Requires:	%{libname} = %{version}-%{release}

%description
This package contains a tool for discovering MultiFunctionPrinters (MFP) 
or document scanners that implements either eSCL (AirScan/AirPrint scanning) 
or WSD "driverless" scanning protocol.

%files
%doc README.md
%license LICENSE COPYING
%{_bindir}/airscan-discover
%{_mandir}/man1/airscan-discover.1.*

%package -n %{libname}
Summary:	SANE backend for AirScan (eSCL) and WSD document scanners
License:	GPLv2+ with SANE exceptions
Requires:	sane-backends

%description -n %{libname}
This package contains a SANE backend for MFP and document scanners that
implements either eSCL (AirScan/AirPrint scanning) or WSD "driverless"
scanning protocol.

%files -n %{libname}
%doc README.md
%license LICENSE COPYING
%dir %{_libdir}/sane
%{_libdir}/sane/libsane-airscan.so.1
%dir %{_sysconfdir}/sane.d
%config(noreplace) %{_sysconfdir}/sane.d/airscan.conf
%dir %{_sysconfdir}/sane.d/dll.d
%config %{_sysconfdir}/sane.d/dll.d/airscan
%{_mandir}/man5/sane-airscan.5.*

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

rm -f %{buildroot}%{_libdir}/sane/libsane-airscan.so

%check
%meson_test


%changelog
* Mon May 19 2025 daviddavid <daviddavid> 0.99.35-1.mga10
+ Revision: 2184844
- new version 0.99.35

* Mon Mar 17 2025 julien <julien> 0.99.33-1.mga10
+ Revision: 2165735
- new version 0.9.33

* Sun Mar 16 2025 wally <wally> 0.99.31-2.mga10
+ Revision: 2165016
- rebuild for libxml2 2.13.6

* Sat Jan 04 2025 julien <julien> 0.99.31-1.mga10
+ Revision: 2135428
- new version 0.99.31

* Mon May 06 2024 daviddavid <daviddavid> 0.99.29-1.mga10
+ Revision: 2062545
- new version: 0.99.29
- switch to meson build system

* Thu Sep 22 2022 julien <julien> 0.99.27-2.mga9
+ Revision: 1891692
- drop noreplace, this file should not be modified by user

* Sat Sep 10 2022 julien <julien> 0.99.27-1.mga9
+ Revision: 1886471
- add correct Group
- imported package sane-airscan

